[Rainmeter]
Autor=wasek
Update=1000

[style]
FontFace=Segoe Script
FontSize=10
StringStyle=BOLD
FontColor=255,255,255,150
AntiAlias=1

[style2]
FontFace=Segoe Script
FontSize=8
StringStyle=BOLD
FontColor=255,255,255,200
AntiAlias=1
StringEffect=SHADOW
FontEffectColor=0,0,0,80

[Variables]
URL=http://7themes.su
URLRSS=http://7themes.su/news/rss/
wURL=http://foreca.ru/Russia/Moskva?tenday
wURL1=http://foreca.ru/Russia/Moskva
Drive1=C:
Drive2=D:
Drive3=E:
update.Spd=90
Substitute="-0500":"","  ":"","&amp;":"&","&quot;":"","&Quot;":"","&lt;br&gt;":"","![CDATA[":"","]]":"","...":"","<":"",">":"","/PRE&gt;":"","PRE&gt;":"","&lt;":"","&#39;":"'"
UpdateRateSeconds=900
Note=#CURRENTPATH#Note.txt

[Background]
Meter=IMAGE
IMAGENAME=3L.PNG
X=0
Y=2

[Background2]
Meter=IMAGE
IMAGENAME=3.PNG
X=346
Y=14

[Background3]
Meter=IMAGE
IMAGENAME=3R.PNG
X=677
Y=2

[Background4]
Meter=IMAGE
IMAGENAME=2.PNG
X=346
Y=233

[IMAGEbg1]
Meter=IMAGE
SolidColor=0,0,0,1
X=1017
Y=5
W=10
H=240
Group=RSS
Hidden=0
LeftMouseDownAction=!Execute [!RainmeterHideMeterGroup RSS][!RainmeterShowMeterGroup Wat]
ToolTipText="Погода"

[IMAGEbg1a]
Meter=IMAGE
SolidColor=250,250,250,50
X=1019
Y=5
W=6
H=120
Group=RSS
Hidden=0

[IMAGEbg2]
Meter=IMAGE
SolidColor=0,0,0,1
X=1017
Y=5
W=10
H=240
Group=Wat
Hidden=1
LeftMouseDownAction=!Execute [!RainmeterHideMeterGroup Wat][!RainmeterShowMeterGroup RSS]
ToolTipText="Новостной канал"

[IMAGEbg2a]
Meter=IMAGE
SolidColor=250,250,250,50
X=1019
Y=125
W=6
H=120
Group=Wat
Hidden=1

----------------------------

[MeasureTime1]
Measure=Time
Format=%#H

[MeasureTime2]
Measure=Time
Format=%M

[MeasureDay]
Measure=Time
Format=%A
Substitute="Monday":"Понедельник","Tuesday":"Вторник","Wednesday":"Среда","Thursday":"Четверг","Friday":"Пятница","Saturday":"Суббота","Sunday":"Воскресенье"

[MeasureDate]
Measure=Time
Format= %#d,%B,%Y
Substitute="January":"01","February":"02","March":"03","April":"04","May":"05","June":"06","July":"07","August":"08","September":"09","October":"10","November":"11","December":"12"


[MeterTime1]
MeasureName=MeasureTime1
MeasureName2=MeasureTime2
Meter=STRING
X=365
Y=20
FontSize=25
MeterStyle=style2
Text="%1:%2"

[MeterDay]
MeasureName=MeasureDay
Meter=STRING
X=357
Y=55r
MeterStyle=style2

[MeterDateInfo]
Meter=String
MeasureName=MeasureDate
X=357
Y=15r
MeterStyle=style2

----------------------------

[MeasureCPU]
Measure=CPU
Processor=0
MinValue=0
MaxValue=100

[CPU]
Meter=STRING
X=357
Y=125
MeterStyle=style2
Text=CPU: 

[MeterPercent]
Meter=STRING
MeasureName=MeasureCPU
X=30r
Y=0r
MeterStyle=style2
Text=%1% 
Percentual=1
AutoScale=1

----------------------------------

[MeasureRAM]
Measure=PhysicalMemory

[MeasureUsedRAM]
Measure=PhysicalMemory
UpdateDivider=2

[RAM]
Meter=STRING
X=357
Y=15r
MeterStyle=style2
Text=RAM:

[MeterPercentRAM]
Meter=STRING
MeasureName=MeasureUsedRAM
X=30r
Y=0r
MeterStyle=style2
Text=" %1%"
AutoScale=1
Percentual=1

---------------------------------

[MeasureHDD1a]
Measure=FreeDiskSpace
InvertMeasure=0
Drive=#Drive1#

[MeasureLabelHDD1]
Measure=FreeDiskSpace
Label=1
Substitute="":"HDD"

[Drive1Label]
Meter=STRING
MeasureName=MeasureLabelHDD1
X=357
Y=30r
MeterStyle=style2
Text="%1 #Drive1#"

[Drive1Usage]
MeasureName=MeasureHDD1a
Meter=STRING
X=30r
Y=0r
MeterStyle=style2
AutoScale=1
Text="    Free %1B"

------------------------------

[MeasureHDD2a]
Measure=FreeDiskSpace
InvertMeasure=0
Drive=#Drive2#

[MeasureLabelHDD2]
Measure=FreeDiskSpace
Label=1
Drive=#Drive2#
Substitute="":"HDD"

[Drive2Label]
Meter=STRING
MeasureName=MeasureLabelHDD2
X=357
Y=15r
MeterStyle=style2
AutoScale=1
Text="%1 #Drive2#"

[Drive2Usage]
MeasureName=MeasureHDD2a
Meter=STRING
X=30r
Y=0r
MeterStyle=style2
AutoScale=1
Text="    Free %1B"

-------------------------------

[MeasureRSS]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=#URLRSS#
RegExp="(?siU)<title>(.*)<\/title>(?(?=.*<lastBuildDate>(.*)<\/lastBuildDate>))(?(?=.*<link>(.*)<\/link>.)).*<description>(.*)<\/description>(?:(?:.*<url>(.*)<\/url>)|.*).*<item(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)(?:.*<title>(.*)<\/title>(?(?=.*<pubDate>(.*)<\/pubDate>)).*<link>(.*)<\/link>.*<description>(.*)<\/description>|.*)"
UpdateRate=60
StringIndex=1

[MeasureDate]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSS]
StringIndex=2
Substitute=#Substitute#

[Measure1Title]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSS]
StringIndex=6
Substitute=#Substitute#

[Measure2Title]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSS]
StringIndex=10
Substitute=#Substitute#

[Measure3Title]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSS]
StringIndex=14
Substitute=#Substitute#

[Measure4Title]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSS]
StringIndex=18
Substitute=#Substitute#

[Measure5Title]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSS]
StringIndex=22
Substitute=#Substitute#

[Measure6Title]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSS]
StringIndex=26
Substitute=#Substitute#

[Measure7Title]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSS]
StringIndex=30
Substitute=#Substitute#


[MeterRSSName]
MeasureName=MeasureRSS
Meter=STRING
H=40
W=250
X=700
Y=30
MeterStyle=style
ClipString=1
Angle=-0.04
Group=RSS
Hidden=0
LeftMouseDownAction=!Execute [#URL#]

[Meter1Title]
MeasureName=Measure1Title
Meter=STRING
H=15
W=300
X=700
Y=90
MeterStyle=style
ClipString=1
Angle=-0.03
Group=RSS
Hidden=0

[Meter2Title]
MeasureName=Measure2Title
Meter=STRING
H=15
W=300
X=700
Y=18r
MeterStyle=style
ClipString=1
Angle=-0.02
Group=RSS
Hidden=0

[Meter3Title]
MeasureName=Measure3Title
Meter=STRING
H=15
W=300
X=700
Y=18r
MeterStyle=style
ClipString=1
Angle=-0.01
Group=RSS
Hidden=0

[Meter4Title]
MeasureName=Measure4Title
Meter=STRING
H=15
W=300
X=700
Y=18r
MeterStyle=style
ClipString=1
Group=RSS
Hidden=0

[Meter5Title]
MeasureName=Measure5Title
Meter=STRING
H=15
W=300
X=700
Y=18r
MeterStyle=style
ClipString=1
Angle=0.02
Group=RSS
Hidden=0

[Meter6Title]
MeasureName=Measure6Title
Meter=STRING
H=15
W=300
X=700
Y=18r
MeterStyle=style
ClipString=1
Angle=0.03
Group=RSS
Hidden=0

[Meter7Title]
MeasureName=Measure7Title
Meter=STRING
H=15
W=300
X=700
Y=18r
MeterStyle=style
ClipString=1
Angle=0.04
Group=RSS
Hidden=0

--------------------------------------


[MeasureName]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#wURL#
RegExp="(?siU)<h1>(.*)</h1>.*"
UpdateRate=#UpdateRateSeconds#
Substitute="&deg;":""
StringIndex=1

[MeasureDEN]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#wURL#
RegExp="(?siU)<span class="h5">(.*)</span>.*<span class="h5">(.*)</span>.*<span class="h5">(.*)</span>.*<span class="h5">(.*)</span>.*<span class="h5">(.*)</span>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[MeasureDEN2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
UpdateRate=#UpdateRateSeconds#
StringIndex=2

[MeasureDEN3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
UpdateRate=#UpdateRateSeconds#
StringIndex=3

[MeasureDEN4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
UpdateRate=#UpdateRateSeconds#
StringIndex=4

[MeasureTMAX]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#wURL#
RegExp="(?siU)Макс: <strong>(.*)</strong>.*Макс: <strong>(.*)</strong>.*Макс: <strong>(.*)</strong>.*Макс: <strong>(.*)</strong>.*Макс: <strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1
Substitute="&deg;":""

[MeasureTMAX2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
UpdateRate=#UpdateRateSeconds#
StringIndex=2
Substitute="&deg;":""

[MeasureTMAX3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
UpdateRate=#UpdateRateSeconds#
StringIndex=3
Substitute="&deg;":""

[MeasureTMAX4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
UpdateRate=#UpdateRateSeconds#
StringIndex=4
Substitute="&deg;":""

[MeasureTMIN]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#wURL#
RegExp="(?siU)Мин: <strong>(.*)</strong>.*Мин: <strong>(.*)</strong>.*Мин: <strong>(.*)</strong>.*Мин: <strong>(.*)</strong>.*Мин: <strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1
Substitute="&deg;":""

[MeasureTMIN2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
UpdateRate=#UpdateRateSeconds#
StringIndex=2
Substitute="&deg;":""

[MeasureTMIN3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
UpdateRate=#UpdateRateSeconds#
StringIndex=3
Substitute="&deg;":""

[MeasureTMIN4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
UpdateRate=#UpdateRateSeconds#
StringIndex=4
Substitute="&deg;":""

-----------

[MeasureWeatherIcon2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#wURL#
RegExp="(?siU)<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*"
StringIndex=2
UpdateRate=#UpdateRateSeconds#

[MeasureWeatherIcon3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#wURL#
RegExp="(?siU)<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*"
StringIndex=3
UpdateRate=#UpdateRateSeconds#

[MeasureWeatherIcon4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#wURL#
RegExp="(?siU)<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*"
StringIndex=4
UpdateRate=#UpdateRateSeconds#

[MeasureWeatherIcon]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#wURL1#
RegExp="(?siU)<img class="symb" src="/img/symb-70x70/(.*).png.*"
StringIndex=1
UpdateRate=#UpdateRateSeconds#

[MeasureF]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#wURL1#
RegExp="(?siU)<h4 class="entry-title">(.*)</h4>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[MeasureTF]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#wURL1#
RegExp="(?siU)<span class=".* txt-xxlarge"><strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1
                                                                                                                                          
[MeasureFO]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#wURL1#
RegExp="(?siU)<div class="right txt-tight">(.*)<br />.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[MeasureOBN]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#wURL1#
RegExp="(?siU)<div class="bot txt-tight grey">.*(.*)<br />.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1
Substitute="В":"на"

[Measurewind]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#wURL1#
RegExp="(?siU).*height="28" /> <strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[MeasureTR]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#wURL1#
RegExp="(?siU).*Dewpoint:   <strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1
Substitute="&deg;":""

[MeasureWET]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#wURL1#
RegExp="(?siU).*img/symb-wind/w(.*).gif" alt=".*".*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[MeasureWET2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#wURL1#
RegExp="(?siU).*img/symb-wind/w(.*).gif" alt="(.*)".*"
UpdateRate=#UpdateRateSeconds#
StringIndex=2


[MeterCityName]
Meter=String
MeasureName=MeasureName
X=790
Y=19
W=300
h=20
FontSize=14
MeterStyle=style
ClipString=1
Angle=-0.04
Group=Wat
Hidden=1

[MeterFO]
Meter=String
MeasureName=MeasureFO
X=830
Y=0r
w=400
h=40
MeterStyle=style
StringAlign=Center
Angle=-0.03
Group=Wat
Hidden=1

[MeterIconD]
Meter=Image
MeasureName=MeasureWeatherIcon
Path="#CURRENTPATH#WeatherIcons N"
X=720
Y=60
H=80
W=80
Group=Wat
Hidden=1

[MeterTF]
Meter=String
MeasureName=MeasureTF
X=163r
Y=3r
MeterStyle=style
Postfix="°C"
FontSize=18
Group=Wat
Hidden=1

[MeterWindName]
Meter=String
X=-60r
Y=30r
MeterStyle=style
Text="Ветер:"
Group=Wat
Hidden=1

[Meterwind]
Meter=String
MeasureName=Measurewind
X=55r
Y=r
MeterStyle=style
AntiAlias=1
Group=Wat
Hidden=1

[MeterIconWet]
Meter=Image
MeasureName=MeasureWET
Path="#CURRENTPATH#WeatherIconsW"
X=5R
Y=5r
w=15
h=15
Group=Wat
Hidden=1

[Meterwind2]
Meter=String
MeasureName=MeasureWET2
X=R
Y=-5r
MeterStyle=style
AntiAlias=1
Group=Wat
Hidden=1

;---------TOMORROW-------

[MeterIcon2]
Meter=Image
MeasureName=MeasureWeatherIcon2
Path="#CURRENTPATH#WeatherIcons N"
X=720
Y=150
W=60
h=60
Group=Wat
Hidden=1

[MeterDEN2]
Meter=String
X=37r
Y=-17r
MeterStyle=style
StringAlign=Center
Text="Завтра"
Group=Wat
Hidden=1

[MeterT2]
Meter=String
MeasureName=MeasureTMAX2
MeasureName2=MeasureTMIN2
X=-15r
Y=75r
MeterStyle=style
StringAlign=Center
Text="%1°С, %2°С"
Angle=0.04
Group=Wat
Hidden=1

;---------Day Two-------

[MeterIcon3]
Meter=Image
MeasureName=MeasureWeatherIcon3
Path="#CURRENTPATH#WeatherIcons N"
X=830
Y=150
W=65
h=65
Group=Wat
Hidden=1

[MeterDEN3]
Meter=String
MeasureName=MeasureDEN3
X=37r
Y=-17r
W=150
H=30
MeterStyle=style
StringAlign=Center
Group=Wat
Hidden=1

[MeterT3]
Meter=String
MeasureName=MeasureTMAX3
MeasureName2=MeasureTMIN3
X=-10r
Y=80r
MeterStyle=style
StringAlign=Center
Text="%1°С, %2°С"
Angle=0.04
Group=Wat
Hidden=1

;---------Day Three-------

[MeterIcon4]
Meter=Image
MeasureName=MeasureWeatherIcon4
Path="#CURRENTPATH#WeatherIcons N"
X=930
Y=150
W=70
h=70
Group=Wat
Hidden=1

[MeterDEN4]
Meter=String
MeasureName=MeasureDEN4
X=47r
Y=-17r
W=150
H=30
MeterStyle=style
StringAlign=Center
Group=Wat
Hidden=1

[MeterT4]
Meter=String
MeasureName=MeasureTMAX4
MeasureName2=MeasureTMIN4
X=-5r
Y=85r
MeterStyle=style
StringAlign=Center
Text="%1°С, %2°С"
Angle=0.04
Group=Wat
Hidden=1

------------------------------------------

[MeasureNotes]
Measure=Plugin
Plugin=Plugins\QuotePlugin.dll
PathName=#Note#
Disabled=0
Separator=¶
#Subfolders=0
#FileFilter=*.txt

[Notes]
Meter=STRING
MeasureName=MeasureNotes
X=360
Y=237
W=315
H=210
MeterStyle=style
ClipString=1

[IconActive2]
Meter=IMAGE
SolidColor=250,250,250,50
X=355
Y=445
W=325
H=5
LeftMouseDownAction=!execute ["#Note#"][!RainmeterRedraw]
ToolTipText="Нажать нежно!"


















